/*********************************************************************
 *                
 * Filename:      obex.h
 * Version:       0.5
 * Description:   OBEX API
 * Status:        Experimental.
 * Author:        Dag Brattli <dagb@cs.uit.no>
 * Created at:    Fri Apr 23 14:02:42 1999
 * Modified at:   Wed Nov 17 21:05:10 1999
 * Modified by:   Pontus Fuchs <pontus@tactel.se>
 * 
 *     Copyright (c) 1999 Dag Brattli, All Rights Reserved.
 *     
 *     This library is free software; you can redistribute it and/or
 *     modify it under the terms of the GNU Lesser General Public
 *     License as published by the Free Software Foundation; either
 *     version 2 of the License, or (at your option) any later version.
 *
 *     This library is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *     Lesser General Public License for more details.
 *
 *     You should have received a copy of the GNU Lesser General Public
 *     License along with this library; if not, write to the Free Software
 *     Foundation, Inc., 59 Temple Place, Suite 330, Boston, 
 *     MA  02111-1307  USA
 *     
 ********************************************************************/

#ifndef OBEX_H
#define OBEX_H

#include "obex_main.h"
#include "obex_object.h"
#include "obex_header.h"

/*
 *  OBEX API
 */
obex_t *OBEX_Init(gint transport, obex_event_t eventcb, guint flags);
void    OBEX_Cleanup(obex_t *self);
gint OBEX_RegisterCTransport(obex_t *self, obex_ctrans_t *ctrans);

gint    OBEX_TransportConnect(obex_t *self, struct sockaddr *saddr, int addlen);
gint    OBEX_TransportDisconnect(obex_t *self);
gint    OBEX_CustomDataFeed(obex_t *self, guint8 *inputbuf, gint actual);
gint    OBEX_HandleInput(obex_t *self, gint timeout);

gint    OBEX_ServerRegister(obex_t *self, char *service);
gint    OBEX_Request(obex_t *self, obex_object_t *object);
gint    OBEX_CancelRequest(obex_t *self);

obex_object_t	*OBEX_ObjectNew(obex_t *self, gint cmd);
gint		OBEX_ObjectDelete(obex_t *self, obex_object_t *object);

gint		OBEX_ObjectAddHeader(obex_t *self, obex_object_t *object, guint8 hi, 
			obex_headerdata_t hv, guint32 hv_size, guint flags);
gint OBEX_ObjectGetNextHeader(obex_t *self, obex_object_t *object, guint8 *hi,
					obex_headerdata_t *hv,
					guint32 *hv_size);
gint OBEX_ObjectSetRsp(obex_object_t *object, guint8 cmd, guint8 lastcmd);

gint OBEX_UnicodeToChar(guint8 *c, guint8 *uc, gint size);
gint OBEX_CharToUnicode(guint8 *uc, guint8 *c, gint size);

#define OBEX_GetResponseMessage obex_get_response_message

/*
 * IrOBEX API 
 */
 gint IrOBEX_TransportConnect(obex_t *self, char *service);

#endif
